version: '3.7'

services:

  app:
    image: registry.gitlab.com/deusops/lessons/autodjangogirls/autodjangogirls:latest
    build:
      dockerfile: ./Dockerfile
      context: .
    container_name: djangogirls
    expose:
      - 8000
    environment:
       VIRTUAL_HOST: django.localhost
       VIRTUAL_PORT: "8000"
    networks:
      - proxy
    volumes:
      - ./db:/app/db/

networks:
  proxy:
    external: true
    name: proxy
